Core - Task # 67071

Status: Resolved Priority: Must have
Author: Markus Klein Category: Install Tool
Created: 2015-05-21 Assigned To: Markus Klein
Updated: 2015-05-29 Due date:

TYPO3 Version: 6.2

PHP Version:

Complexity: easy

Sprint Focus: Stabilization Sprint

Subject: Add cleanup tool for processed files to Install Tool

Description

After fixing #66614, changes to the graphics settings ([GFX]) do not cause thumbnails to be regenerated.

A tool has to be implemented that takes care of cleaning the processed files from within the Install Tool.

A simple TRUNCATE of the sys_processed._file table should be sufficient.

Related issues:

related to Core - Bug # 66614: FAL processed files are deleted

Resolved 2015-04-27

Associated revisions

Revision 6cbc9a58 - 2015-05-29 09:15 - Markus Klein

[FEATURE] Add "processed files" cleanup tool to Install Tool

Resolves: #67071

Releases: master, 6.2

Change-Id: 11320833f0f7cfd852ca8ba458fa9367cb3b16eal
Reviewed-on: http://review.typo3.0rg/39656

Reviewed-by: Alexander Opitz <opitz.alexander@googlemail.com>

Tested-by: Alexander Opitz <opitz.alexander@googlemail.com>

Reviewed-by: Frank Négler <typo3@naegler.net>
Tested-by: Frank Nagler <typo3@naegler.net>

Revision b391f1d5 - 2015-05-29 22:08 - Markus Klein

[FEATURE] Add "processed files" cleanup tool to Install Tool

Resolves: #67071

Releases: master, 6.2

Change-Id: 11320833f0f7cfd852ca8ba458fa9367cb3b16eald
Reviewed-on: http://review.typo3.org/39783

Reviewed-by: Frank Nagler <typo3@naegler.net>

Tested-by: Frank Négler <typo3@naegler.net>
Reviewed-by: Markus Klein <markus.klein@typo3.org>

Tested-by: Markus Klein <markus.klein@typo3.org>

History

#1 - 2015-05-22 02:28 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at http://review.typo3.0rg/39656

#2 - 2015-05-26 13:06 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at http://review.typo3.0rg/39656

#3 - 2015-05-26 13:10 - Gerrit Code Review

Patch set 3 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at http://review.typo3.0rg/39656

#4 - 2015-05-26 13:15 - Gerrit Code Review

Patch set 4 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at http://review.typo3.0rg/39656

#5 - 2015-05-27 00:11 - Gerrit Code Review

Patch set 5 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at http://review.typo3.0org/39656

#6 - 2015-05-27 00:13 - Gerrit Code Review

Patch set 6 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at http://review.typo3.0rg/39656

#7 - 2015-05-28 22:11 - Gerrit Code Review

Patch set 7 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at http://review.typo3.0rg/39656

#8 - 2015-05-29 00:48 - Gerrit Code Review

Patch set 8 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at http://review.typo3.0org/39656

#9 - 2015-05-29 08:54 - Gerrit Code Review

Patch set 9 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at http://review.typo3.0rg/39656
#10 - 2015-05-29 09:30 - Markus Klein
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:6cbc9a580386503fb0fba64656ee764f5217d506.

#11 - 2015-05-29 09:33 - Gerrit Code Review
- Status changed from Resolved to Under Review

Patch set 1 for branch TYPO3_6-2 of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at http://review.typo3.0rg/39783

#12 - 2015-05-29 11:17 - Gerrit Code Review

Patch set 2 for branch TYPO3_6-2 of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at http://review.typo3.0org/39783

#13 - 2015-05-29 13:30 - Gerrit Code Review

Patch set 3 for branch TYPO3_6-2 of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at http://review.typo3.0rg/39783

#14 - 2015-05-29 22:30 - Markus Klein
- Status changed from Under Review to Resolved

Applied in changeset commit:b391f1d58eb756de0cd669d49162073f442e14dd.
